import { ComponentFixture, TestBed } from '@angular/core/testing';

import { HeatStackPreviewComponent } from './heat-stack-preview.component';
import { RouterTestingModule } from '@angular/router/testing';
import { HttpClientTestingModule } from '@angular/common/http/testing';

describe('HeatStackPreviewComponent', () => {
  let component: HeatStackPreviewComponent;
  let fixture: ComponentFixture<HeatStackPreviewComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [ HeatStackPreviewComponent ],
      imports: [RouterTestingModule, HttpClientTestingModule],
    })
    .compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(HeatStackPreviewComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
